## python-pook 1.0.2

=== requirements.txt ===
jsonschema>=2.5.1
xmltodict>=0.11.0
furl>=0.5.6
mock>=2.0.0 ; python_version < '3.3'

=== debian/changelog ===
python-pook (1.0.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Thu, 15 Sep 2022 06:13:19 -0300

python-pook (1.0.2-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1014562)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Sun, 03 Jul 2022 08:44:22 -0300

=== debian/control ===
Source: python-pook
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-furl,
               python3-xmltodict,
               python3-jsonschema,
               python3-mock,
               python3-pytest <!nocheck>,
               python3-urllib3 <!nocheck>,
               python3-requests <!nocheck>,
               python3-nose <!nocheck>,
               python3-aiohttp <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.1
Homepage: https://github.com/h2non/pook
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pook
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pook.git

Package: python3-pook
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-pook-doc
Description: HTTP traffic mocking and testing made easy (Python 3)
 Versatile, expressive and hackable utility library for HTTP traffic mocking
 and expectations made easy in Python. Heavily inspired by gock.
 .
 Features:
   - Simple, expressive and fluent API.
   - Provides both Pythonic and chainable DSL API styles.
   - Full-featured HTTP response definitions and expectations.
   - Matches any HTTP protocol primitive (URL, method, query params, headers,
     body...).
   - Full regular expressions capable mock expectations matching.
   - Supports most popular HTTP clients via interceptor adapters.
   - Configurable volatile, persistent or TTL limited mocks.
   - Works with any testing framework/engine (unittest, pytest, nosetests...).
   - First-class JSON & XML support matching and responses.
   - Supports JSON Schema body matching.
   - Works in both runtime and testing environments.
   - Can be used as decorator and/or via context managers.
   - Supports real networking mode with optional traffic filtering.
   - Map/filter mocks easily for generic or custom mock expectations.
   - Custom user-defined mock matcher functions.
   - Simulated raised error exceptions.
   - Network delay simulation (only available for aiohttp).
   - Pluggable and hackable API.
   - Customizable HTTP traffic mock interceptor engine.
   - Supports third-party mocking engines, such as mocket.
   - Fits good for painless test doubles.
   - Does not support WebSocket traffic mocking.
   - Works with Python +2.7 and +3.0 (including PyPy).
   - Dependency-less: just 2 small dependencies for JSONSchema and XML tree
     comparison.
 .
 This package installs the library for Python 3.

Package: python-pook-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: HTTP traffic mocking and testing made easy (common documentation)
 Versatile, expressive and hackable utility library for HTTP traffic mocking
 and expectations made easy in Python. Heavily inspired by gock.
 .
 Features:
   - Simple, expressive and fluent API.
   - Provides both Pythonic and chainable DSL API styles.
   - Full-featured HTTP response definitions and expectations.
   - Matches any HTTP protocol primitive (URL, method, query params, headers,
     body...).
   - Full regular expressions capable mock expectations matching.
   - Supports most popular HTTP clients via interceptor adapters.
   - Configurable volatile, persistent or TTL limited mocks.
   - Works with any testing framework/engine (unittest, pytest, nosetests...).
   - First-class JSON & XML support matching and responses.
   - Supports JSON Schema body matching.
   - Works in both runtime and testing environments.
   - Can be used as decorator and/or via context managers.
   - Supports real networking mode with optional traffic filtering.
   - Map/filter mocks easily for generic or custom mock expectations.
   - Custom user-defined mock matcher functions.
   - Simulated raised error exceptions.
   - Network delay simulation (only available for aiohttp).
   - Pluggable and hackable API.
   - Customizable HTTP traffic mock interceptor engine.
   - Supports third-party mocking engines, such as mocket.
   - Fits good for painless test doubles.
   - Does not support WebSocket traffic mocking.
   - Works with Python +2.7 and +3.0 (including PyPy).
   - Dependency-less: just 2 small dependencies for JSONSchema and XML tree
     comparison.
 .
 This is the common documentation package.

## python-pook 1.1.1

=== Makefile ===
OK_COLOR=\033[32;01m
NO_COLOR=\033[0m

all: lint unit

export PYTHONPATH:=${PWD}
version=`python -c 'import pook; print(pook.__version__)'`
filename=pook-`python -c 'import pook; print(pook.__version__)'`.tar.gz

apidocs:
	@sphinx-apidoc -f --follow-links -H "API documentation" -o docs/source pook

htmldocs:
	@rm -rf docs/_build
	$(MAKE) -C docs html

install:
	@pip install -r requirements.txt
	@pip install -r requirements-dev.txt

lint:
	@echo "$(OK_COLOR)==> Linting code ...$(NO_COLOR)"
	@flake8 .

test: clean lint
	@echo "$(OK_COLOR)==> Runnings tests ...$(NO_COLOR)"
	@py.test -s -v --capture sys --cov pook --cov-report term-missing

coverage:
	@coverage run --source pook -m py.test
	@coverage report

tag:
	@echo "$(OK_COLOR)==> Creating tag $(version) ...$(NO_COLOR)"
	@git tag -a "v$(version)" -m "Version $(version)"
	@echo "$(OK_COLOR)==> Pushing tag $(version) to origin ...$(NO_COLOR)"
	@git push origin "v$(version)"

bump:
	@bumpversion --commit --tag --current-version $(version) patch pook/__init__.py --allow-dirty

bump-minor:
	@bumpversion --commit --tag --current-version $(version) minor pook/__init__.py --allow-dirty

history:
	@git changelog --tag $(version)

clean:
	@echo "$(OK_COLOR)==> Cleaning up files that are already in .gitignore...$(NO_COLOR)"
	@for pattern in `cat .gitignore`; do find . -name "*/$$pattern" -delete; done

publish:
	@echo "$(OK_COLOR)==> Releasing package ...$(NO_COLOR)"
	@python setup.py sdist bdist_wheel
	@twine upload dist/*
	@rm -fr build dist .egg pook.egg-info

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pook`.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pook`.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pook`"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pook`"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-pook (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1. (Closes: #1026747)
  * debian/control:
      - Bump Standards-Version to 4.6.2.
      - Remove 'python3-nose' unnecessary dependency in
    build-depends field.
  * debian/copyright: update upstream and packaging copyright years.
  * debian/patches/020_fix-sufix_versions.patch: Little update to make the
    following patch compliant with the new upstream version.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Thu, 02 Feb 2023 11:27:49 -0300

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,11 @@
                python3-pytest <!nocheck>,
                python3-urllib3 <!nocheck>,
                python3-requests <!nocheck>,
-               python3-nose <!nocheck>,
                python3-aiohttp <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/h2non/pook
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pook
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pook.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pook
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
endif

# Clear proxy variables that are automatically set by pybuild
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	http_proxy= dh_auto_test
endif

=== debian/watch ===
version=4
https://github.com/h2non/pook/tags  .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pook 2.1.3

=== debian/changelog ===
python-pook (2.1.3-2) unstable; urgency=medium

  * Team upload.
  * Remove examples directory from dist-packages (already in doc)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Apr 2025 12:06:12 +0200

python-pook (2.1.3-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.1.3 (Closes: #1090154)
  * Add new python3-httpx & python3-pytest-httpbin dependencies
  * Use new dh-sequence-python3
  * Remove leftover references to "nose"

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 Jan 2025 11:29:48 +0100

python-pook (1.1.1-2) unstable; urgency=medium

  * Team Upload
  * remove extraneous dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Mon, 25 Mar 2024 18:41:48 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pook
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir} ; rm -f {build_dir}/examples/mocket_example.py
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src/ http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
endif

# Clear proxy variables that are automatically set by pybuild
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	http_proxy= dh_auto_test || true
endif
